> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.gitiho.com/gitiho-business-api/testbank/list-exam/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.gitiho.com/_mcp/server. # List exam GET https://example.gitiho.com/api/testbank/exam/list ### GET /api/exam/list Truy xuất danh sách các đề thi đã tạo của doanh nghiệp. #### Request Không yêu cầu #### Response Dữ liệu trả về dưới dạng JSON với cấu trúc như bên dưới: schema: ```json { "status": "string", "data": { "items": [ { "exam": { "id": "integer", "title": "string", "type": "string", "gth_question_count": "integer", "status": "string", "updated_at": "string" } } ], "total": "integer", "current_page": "integer", "last_page": "integer" } } ``` Reference: https://developer.gitiho.com/gitiho-business-api/testbank/list-exam ## Response ### 200 OK - `data` (ListExamTestbankResponseData, required) - `status` (string, required) ## Types ### ListExamTestbankResponseData - `items` (list of ListExamTestbankResponseDataItemsItem, required) - `total` (integer, required) - `last_page` (integer, required) - `current_page` (integer, required) ### ListExamTestbankResponseDataItemsItem - `exam` (ListExamTestbankResponseDataItemsItemExam, required) ### ListExamTestbankResponseDataItemsItemExam - `id` (integer, required) - `type` (string, required) - `title` (string, required) - `status` (string, required) - `updated_at` (string, required) - `gth_question_count` (integer, required) ## Examples **Response** ```json { "data": { "items": [ { "exam": { "id": 28, "type": "Công thức", "title": "Đề khảo sát chất lượng UX", "status": "Hoạt động", "updated_at": "11-10-2024 16:30:55", "gth_question_count": 3 } }, { "exam": { "id": 27, "type": "Công thức", "title": "Đề thi kiểm tra chất lượng dev tháng 10", "status": "Hoạt động", "updated_at": "10-10-2024 17:51:50", "gth_question_count": 13 } }, { "exam": { "id": 25, "type": "Công thức", "title": "Đề thi công thức số 1", "status": "Hoạt động", "updated_at": "09-10-2024 15:15:09", "gth_question_count": 23 } }, { "exam": { "id": 24, "type": "Câu hỏi cố định", "title": "Đề thi công thức mới", "status": "Hoạt động", "updated_at": "02-10-2024 17:14:15", "gth_question_count": 0 } }, { "exam": { "id": 23, "type": "Câu hỏi cố định", "title": "Đề thi có công thức ", "status": "Hoạt động", "updated_at": "26-09-2024 13:41:36", "gth_question_count": 0 } }, { "exam": { "id": 22, "type": "Câu hỏi cố định", "title": "Đề thi có cấu trúc", "status": "Hoạt động", "updated_at": "26-09-2024 11:38:05", "gth_question_count": 0 } }, { "exam": { "id": 20, "type": "Câu hỏi cố định", "title": "Đề thi tự luận", "status": "Hoạt động", "updated_at": "06-08-2024 11:31:41", "gth_question_count": 6 } }, { "exam": { "id": 19, "type": "Câu hỏi cố định", "title": "Đề thi mới có topic", "status": "Hoạt động", "updated_at": "30-05-2024 08:19:56", "gth_question_count": 14 } }, { "exam": { "id": 18, "type": "Câu hỏi cố định", "title": "Đề thi số mới", "status": "Hoạt động", "updated_at": "05-07-2024 18:22:44", "gth_question_count": 7 } }, { "exam": { "id": 17, "type": "Câu hỏi cố định", "title": "Đề thi mới", "status": "Hoạt động", "updated_at": "15-06-2023 13:54:44", "gth_question_count": 0 } }, { "exam": { "id": 15, "type": "Câu hỏi cố định", "title": "Bản sao Đề thi cho bài học", "status": "Hoạt động", "updated_at": "07-06-2023 10:19:55", "gth_question_count": 1 } }, { "exam": { "id": 14, "type": "Câu hỏi cố định", "title": "Đề số 3", "status": "Hoạt động", "updated_at": "07-06-2023 10:48:47", "gth_question_count": 25 } }, { "exam": { "id": 13, "type": "Câu hỏi cố định", "title": "Đề mới của Thoại udate ok", "status": "Hoạt động", "updated_at": "07-06-2023 10:23:40", "gth_question_count": 15 } }, { "exam": { "id": 12, "type": "Câu hỏi cố định", "title": "Đề thi số 1", "status": "Hoạt động", "updated_at": "07-06-2023 10:57:10", "gth_question_count": 1 } } ], "total": 14, "last_page": 1, "current_page": 1 }, "status": "success" } ``` **SDK Code** ```python import requests url = "https://example.gitiho.com/api/testbank/exam/list" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.gitiho.com/api/testbank/exam/list'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.gitiho.com/api/testbank/exam/list" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.gitiho.com/api/testbank/exam/list") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.gitiho.com/api/testbank/exam/list") .asString(); ``` ```php request('GET', 'https://example.gitiho.com/api/testbank/exam/list'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.gitiho.com/api/testbank/exam/list"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.gitiho.com/api/testbank/exam/list")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```